Name: xfce4-smartpm-plugin
Version: 0.2.2
Release: alt1

Summary: Package update notifier plugin for the XFce panel
License: GPL
Group: Graphical desktop/XFce
Url: http://goodies.xfce.org/
Packager: Eugene Ostapets <eostapets@altlinux.ru>

Source: http://goodies.xfce.org/releases/xfce4-smartpm-plugin/%name-%version.tar.gz
Source1: %name.watch

Patch: %name-as-needed.patch

Requires: xfce4-panel >= 4.4
BuildPreReq: xfce4-panel-devel >= 4.4 xfce4-dev-tools intltool

# Automatically added by buildreq on Sat Jan 05 2008
BuildRequires: gcc-c++ libwnck-devel xfce4-panel-devel

%description
This is a Smart plugin for the Xfce panel, version 4.4.0 or higher. It
checks for package updates using the Smart Package Manager (smartpm.org).

It should work with both Fedora (RPM packages) and Ubuntu (DEB packages),
and also with Slackware (TGZ packages) although this has not been tested.

It can also be configured, though with less features and functionality,
to use either the Yum (+Extender) or APT (+Synaptic) package managers.
%prep
%setup
%patch -p1

%build
aclocal -I /usr/share/xfce4/dev-tools/m4macros/
automake -a -c -f
autoconf
%configure
%make_build

%install
%make install DESTDIR=%buildroot

%find_lang %name

%files -f %name.lang
%doc README ChangeLog INSTALL COPYING AUTHORS
%_liconsdir/*.png
%_miconsdir/*.png
%_iconsdir/hicolor/scalable/apps/*.svg
%_libexecdir/xfce4/panel-plugins/*
%_datadir/xfce4/panel-plugins/*.desktop

%changelog
* Sat Jan 05 2008 Eugene Ostapets <eostapets@altlinux.ru> 0.2.2-alt1
- First build
